aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-02-06 11:58:22 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-02-06 11:58:22 +0900
commit5098c51f7b840c421c6ea6bc34aff66b3c9120e4 (patch)
treef8d514bfd97da05c2c8276ef100ffd80205c6090
parentaa3b329106f00aadd0e912337b657a22a1a630ce (diff)
new logo :)
-rwxr-xr-xcopy.sh28
1 files changed, 16 insertions, 12 deletions
diff --git a/copy.sh b/copy.sh
index 30af722e..4b6a3cde 100755
--- a/copy.sh
+++ b/copy.sh
@@ -7,18 +7,6 @@ waybar_style="$HOME/.config/waybar/style/[Extra] Modern-Combined - Transparent.c
waybar_config="$HOME/.config/waybar/configs/[TOP] Default_v5"
waybar_config_laptop="$HOME/.config/waybar/configs/[TOP] Default Laptop_v5"
-# Check if running as root. If root, script will exit
-if [[ $EUID -eq 0 ]]; then
- echo "This script should not be executed as root! Exiting......."
- exit 1
-fi
-
-printf "\n%.0s" {1..2}
-echo ' ╦╔═┌─┐┌─┐╦ ╦ ╦┬ ┬┌─┐┬─┐┬ ┌─┐┌┐┌┌┬┐ ╔╦╗┌─┐┌┬┐┌─┐ '
-echo ' ╠╩╗│ ││ │║ ╠═╣└┬┘├─┘├┬┘│ ├─┤│││ ││───║║│ │ │ └─┐ 2025 '
-echo ' ╩ ╩└─┘└─┘╩═╝ ╩ ╩ ┴ ┴ ┴└─┴─┘┴ ┴┘└┘─┴┘ ═╩╝└─┘ ┴ └─┘ '
-printf "\n%.0s" {1..2}
-
# Set some colors for output messages
OK="$(tput setaf 2)[OK]$(tput sgr0)"
ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)"
@@ -35,6 +23,22 @@ BLUE="$(tput setaf 4)"
SKY_BLUE="$(tput setaf 6)"
RESET="$(tput sgr0)"
+
+# Check if running as root. If root, script will exit
+if [[ $EUID -eq 0 ]]; then
+ echo "${ERROR} This script should ${WARNING}NOT${RESET} be executed as root!! Exiting......."
+ printf "\n%.0s" {1..2}
+ exit 1
+fi
+
+printf "\n%.0s" {1..2}
+echo -e "\e[35m
+ ╦╔═┌─┐┌─┐╦ ╔╦╗┌─┐┌┬┐┌─┐
+ ╠╩╗│ ││ │║ ║║│ │ │ └─┐ 2025
+ ╩ ╩└─┘└─┘╩═╝ ═╩╝└─┘ ┴ └─┘
+\e[0m"
+printf "\n%.0s" {1..1}
+
# Create Directory for Copy Logs
if [ ! -d Copy-Logs ]; then
mkdir Copy-Logs
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage